#!/usr/bin/env python
# vim: set ts=4 sw=4 sts=0 :
# FormatCheck.py:
#
# Copyright (C) 2007, Shu KONNO <owa@bg.wakwak.com>
# This program distributed under GPL (GNU General Public License).
from ScoreInterface import ScoreInterface
from KifuFormat import KifuFormat

_classes = (KifuFormat,)

def FormatCheck(s):
	for cs in _classes:
		k = cs()
		if k.check(s):
			return k

if __name__ == '__main__':
	files = ('kifu/kifu-6.12.txt', 'kifu/kifu-6.22.txt', 'kifu/kifu-6.22.utf8')
	for path in files:
		print '\n--- %s ---' % path
		f = open(path, 'rb')
		s = f.read()
		f.close()
		d = FormatCheck(s)
		for item in d.items():
			print '%s: %s' % item

