# vim: set fileencoding=utf-8 encoding=utf-8 :
%define __instdir /var/lib/zope/Products
%define __product ZShogi
Summary: zope shogi (japanese chess) product
Summary(ja): Zope 将棋プロダクト
Name: Zope-%{__product}
Version: 0.5.0
Release: 1
License: GPL
URL: http://zope.org/Members/owa/ZShogi
Packager: Shu KONNO (owa@bg.wakwak.com)
Vendor: None
Distribution: None
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: Zope-zserver
Requires: Zope-zserver >= 2.7.0
Requires: python-imaging >= 1.1.5
Group: Development/Web Applications
Source0: ZShogi-%{version}.tgz
%description
ZShogi is a zope shogi (japanese chess) product. It's usefull to make
a shogi site includes shogi objects. A shogi object provides a diagram
image, and method to edit game score and some properties.
%description -l ja
ZShogi は Zope プロダクトです。将棋サイトを作成するのに便利です。将棋
オブジェクトは局面図表示や棋譜入力の手段を提供します。

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__instdir}
cp -Rdp %{__product} $RPM_BUILD_ROOT%{__instdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, zope, zope)
%{__instdir}/%{__product}

%changelog
* Mon Jul 16 2007  Shu KONNO <owa@bg.wakwak.com> 0.5.0-1
- changed index_html which returns zshogi xml file
- added some public methods for www

* Wed Mar 21 2007  Shu KONNO <owa@bg.wakwak.com> 0.1.3-2
- fixed missing owner of product directory

* Sun Apr 09 2006  Shu KONNO <owa@bg.wakwak.com> 0.1.3-1
- added transparent background
- fixed some bugs

* Sun Apr 24 2005  Shu KONNO <owa@bg.wakwak.com> 0.1.2
- fixed judgement error of request with no form in ZShogi.py, ZShogiSite.py
- required PIL (python-imaging) >= 1.1.5
- added bKGD chunk block to png images

* Sat Feb 26 2005  Shu KONNO <owa@bg.wakwak.com> 0.1.1
- added a new original set of large size pieces and board

* Thu Dec 30 2004  Shu KONNO <owa@bg.wakwak.com> 0.1
- released new experimentally

