#!/usr/bin/env python
# vim: set ts=4 sw=4 sts=0 :
# ScoreInterface.py:
#
# Copyright (C) 2007, Shu KONNO <owa@bg.wakwak.com>
# This program distributed under GPL (GNU General Public License).

_URI = 'uri'
_FilePath = 'filepath'
_Title = 'title'
_Comment = 'comment'
_Author = 'author'
_White = 'white'
_Black = 'black'
_GameType = 'gametype'
_Diagram = 'diagram'
_Side = 'side'
_Moving = 'moving'

class ScoreInterface(object):
	def __init__(self):
		self.__dict = {
			_URI:'', _FilePath:'', _Title:'', _Comment:'',
			_Author:'', _White:'', _Black:'',
			_GameType:'', _Diagram:'', _Side:'', _Moving:'',
		}

	def getInfo(self):
		return self.__dict

	def setURI(self, s): self.__dict[_URI] = s
	def setFilePath(self, s): self.__dict[_FilePath] = s
	def setTitle(self, s): self.__dict[_Title] = s
	def setComment(self, s): self.__dict[_Comment] = s
	def setAuthor(self, s): self.__dict[_Author] = s
	def setWhite(self, s): self.__dict[_White] = s
	def setBlack(self, s): self.__dict[_Black] = s
	def setGameType(self, s): self.__dict[_GameType] = s
	def setDiagram(self, s): self.__dict[_Diagram] = s
	def setSide(self, s): self.__dict[_Side] = s
	def setMoving(self, s): self.__dict[_Moving] = s

	def getURI(self): return self.__dict.get(_URI)
	def getFilePath(self): return self.__dict.get(_FilePath)
	def getTitle(self): return self.__dict.get(_Title)
	def getComment(self): return self.__dict.get(_Comment)
	def getAuthor(self): return self.__dict.get(_Author)
	def getWhite(self): return self.__dict.get(_White)
	def getBlack(self): return self.__dict.get(_Black)
	def getGameType(self): return self.__dict.get(_GameType)
	def getDiagram(self): return self.__dict.get(_Diagram)
	def getSide(self): return self.__dict.get(_Side)
	def getMoving(self): return self.__dict.get(_Moving)

